curl -X GET \
'https://api.appcharge.com/components/v1/badge/new_item' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "507f1f77bcf86cd799439020",
"name": "New Item",
"publisherBadgeId": "new_item",
"type": "emblem",
"badgeImageId": "507f1f77bcf86cd799439011",
"badgeImageUrl": "https://media.appcharge.com/media/69133d595af23405d8e843a5"
}
Get Badge
Retrieves a specific badge.
curl -X GET \
'https://api.appcharge.com/components/v1/badge/new_item' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "507f1f77bcf86cd799439020",
"name": "New Item",
"publisherBadgeId": "new_item",
"type": "emblem",
"badgeImageId": "507f1f77bcf86cd799439011",
"badgeImageUrl": "https://media.appcharge.com/media/69133d595af23405d8e843a5"
}
curl -X GET \
'https://api.appcharge.com/components/v1/badge/new_item' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "507f1f77bcf86cd799439020",
"name": "New Item",
"publisherBadgeId": "new_item",
"type": "emblem",
"badgeImageId": "507f1f77bcf86cd799439011",
"badgeImageUrl": "https://media.appcharge.com/media/69133d595af23405d8e843a5"
}
Authorizations
Publisher token, as displayed in the Publisher Dashboard.
Path Parameters
External ID that you defined.
"new_year_ribbon"
Response
Badge retrieved successfully.
For emblem badges, the response includes badgeImageUrl. When the image is linked to an asset, badgeImageId is also returned.
- Emblem Badge
- Ribbon Badge
Badge ID.
"507f1f77bcf86cd799439011"
Badge name.
"New Year Celebration"
Badge ID that you defined.
"new_year_celebration"
Badge type.
emblem "emblem"
Asset ID of the badge image. Save this value to reuse the same asset in future create or update requests. Only present for emblem badges when the image is linked to an asset.
"507f1f77bcf86cd799439011"
Badge image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL. For emblem badges, returned alongside badgeImageId when the image is linked to an asset.
"https://media.appcharge.com/media/69133d595af23405d8e843a5"
Was this page helpful?
